### Hierarchy

- User

## Index

### Properties

- email
- functionalities
- is_intranet
- is_password_changed
- otp_key
- otp_uri
- roles
- two_factor_totp_secret
- username

## Properties

### email

email: string

- Defined in srcapi/store/user.ts:63

User's email address.

### functionalities

functionalities: AuthenticationFunctionalities

- Defined in srcapi/store/user.ts:71

Configured functionalities of the user.

### is_intranet

is_intranet: boolean

- Defined in srcapi/store/user.ts:67

The user is in the intranet.

### is_password_changed

is_password_changed: boolean

- Defined in srcapi/store/user.ts:75

True if the password of the user has been changed. False otherwise.

### otp_key

otp_key: string

- Defined in srcapi/store/user.ts:87

The one-time-password Key

### otp_uri

otp_uri: string

- Defined in srcapi/store/user.ts:91

The one-time-password URI

### roles

roles: RoleInfo[]

- Defined in srcapi/store/user.ts:79

Roles information.

### two_factor_totp_secret

two_factor_totp_secret: string

- Defined in srcapi/store/user.ts:95

The two-factor authentication secret on first login

### username

username: string

- Defined in srcapi/store/user.ts:83

The name of the user.

Generated using TypeDoc